Main Page Compound List File List Compound Members Examples

# real2DFFTData Class Reference

class real2DFFTData controls and manipulates real 2D fft data More...

`#include <real2DFFT.H>`

List of all members.

## Public Methods
| real2DFFTData (int r, int c)
| Constructor with all memory to be allocated internally.
| ~real2DFFTData ()
| Deconstructor.
int | getXSize ()
| The row count.
int | getYSize ()
| The column count.
int | getXHalfSize ()
| The half row count.
int | getYHalfSize ()
| The half column count.
void | reScale (void)
| Scales the output down by the number of elements.
void | compPowerSpec ()
| This function computes the power spectrum and updates the totalPower, maxPower and minPower.
void | compLogPowerSpec ()
| Finds 10*log10(power spectrum) and updates the totalPower, maxPower and minPower.
void | timeSpecAverage ()
| Updates timeXSum.
void | complexSpecAverage ()
| Updates realXSum and imagXSum.
void | powerSpecAverage ()
void | findYSum (int start, int stop)
| Finds the y-sum between columns start and stop.
void | findYMax (void)
| Finds the y-max for the ySum array, updates ySumMin, ySumMax, maxYSumIndex.
void | clearInput (void)
| Zeros the in array.
void | clearOutput (void)
| Zeros the out awway.
## Public Attributes
fftw_real * | in
| The input data and power spectrum.
fftw_real * | power
| The input data and power spectrum.
fftw_complex * | out
| The output data.
fftw_real * | xSum
| Arrays which sum across rows (x) and columns (y).
fftw_real * | ySum
| Arrays which sum across rows (x) and columns (y).
fftw_real * | timeXSum
| A sum across the input time signal.
fftw_real * | realXSum
| Power spectral sums across rows (x) and columns (y).
fftw_real * | imagXSum
| Power spectral sums across rows (x) and columns (y).
double | totalPower
| The total power in the power spectrum, the maximum and minimum powers too.
double | maxPower
| The total power in the power spectrum, the maximum and minimum powers too.
double | minPower
| The total power in the power spectrum, the maximum and minimum powers too.
double | xSumMin
| The minimum/maximum row (x) and column (y) sums.
double | xSumMax
| The minimum/maximum row (x) and column (y) sums.
double | ySumMin
| The minimum/maximum row (x) and column (y) sums.
double | ySumMax
| The minimum/maximum row (x) and column (y) sums.
int | maxXSumIndex
| Row (x) and Column (y) max sum indexes.
int | maxYSumIndex
| Row (x) and Column (y) max sum indexes.

## Detailed Description

class real2DFFTData controls and manipulates real 2D fft data

Examples:

  real2DFFTExample.cc.

Definition at line 36 of file real2DFFT.H.

## Member Function Documentation

void real2DFFTData::powerSpecAverage | ( |  | ) |

| Finds the power Spectrum averages and updates the xSumMin, xSumMax, ySumMin, ySumMax, xSum, ySum, maxXSumIndex, maxYSumIndex

The documentation for this class was generated from the following file:

- real2DFFT.H